com.mockobjects.dynamic

## Class DynamicUtil

- java.lang.Object
- - com.mockobjects.dynamic.DynamicUtil

-     public class DynamicUtil
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DynamicUtil()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.Object[]` | `asObjectArray(java.lang.Object primitiveArray)`
    `static void` | `join(java.lang.Object[] elements, java.lang.StringBuffer buf)`
    `static java.lang.String` | `methodToString(java.lang.String name, java.lang.Object[] args)`
    `static java.lang.String` | `proxyToString(java.lang.Object element)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DynamicUtil

          public DynamicUtil()

  - ### Method Detail

    - #### asObjectArray

          public static java.lang.Object[] asObjectArray(java.lang.Object primitiveArray)

    - #### proxyToString

          public static java.lang.String proxyToString(java.lang.Object element)

    - #### methodToString

          public static java.lang.String methodToString(java.lang.String name,
                                                        java.lang.Object[] args)

    - #### join

          public static void join(java.lang.Object[] elements,
                                  java.lang.StringBuffer buf)

Copyright © 2002 Mock Objects. All Rights Reserved.